*{
    margin: 0;
    padding: 0;
    font-family:'Poppins',sans-serif;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background-color: #000108;
    color: #FFFFFA;
}
#header{
    width: 100%;
    height: 100vh;
    /* //////////////////////////adding background image /////////////////////////*/
    background-image: url(pexels-eberhard-grossgasteiger-2098428.jpg);
    background-position: center;
    background-size: 100vw 100vh;
}
#logo{
    width: 18vh;
    height: auto;
    border-radius: 20px;
}
.container{
    padding: 10px 10%;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    font-family:Georgia, 'Times New Roman', Times, serif;
    color: #FFFFFA;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff312E;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;
}
.header-text{
    margin-top: 14%;
    font-size: 20px;
}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}
.header-text h1 span{
    color: #ff312E;
}
/* --------------------------about------------------------------- */
#about{
    padding: 80px 0;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{ 
    border-radius: 15px;
    height: 71vh;
    width: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-basis: 33.7%;
}
.aboutimg1{
    height: 70vh;
    width: 26vw;
    border-radius: 15px;
}
.aboutimg2{
    display: none;
}
.about-col-1:hover{
    transition: 0.5s;  
    opacity: 75%;
    background-color: #ff312E;
}
.about-col-2{
    flex-basis: 60%;
}
.about-col-2 h1{
    font-size: 50px;
    font-weight: 600;
}
.about-col-2 h1 span{
    color:#ff312E;
}
.about-col-2 p{
    margin-top: 10px;
    color: #a59fab;
    font-size: large;
}
.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links{
    
    color:#FFFFFA;
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff312E;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after{
    width: 50%;
}
.tab-contents ul li{
    list-style: none;
    margin: 10px 0;
}
.tab-contents ul li span{
    color: #af0603;
    font-size: 15px;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}
/* ----------------------------services----------------------------- */
#services{
    padding: 30px 0;
}
.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.services-list div{
    background-color: #333138;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius : 10px;
    transition: backgrond 0.5s, transform 0.5s;
}
.services-list div i{
    font-size: 50px;
    margin-bottom: 30px;
}
.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
} 
.services-list div a{
    text-decoration: none;
    color: #FFFFFA; 
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.services-list div:hover{
    transition: 0.5s;
    background-color: #ff312E;
    transform: translateY(-10px);
}
/* -------------------------portfolio------------------ */
#portfolio{
    padding: 50px 0;
}.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 10px;
    display: block; 
    transition: 0.5s;
}
#rock{
    height: 50vh;
    width: auto;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6),#ff312E);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: 0.5s;
}
.layer h3{
    font-family: cursive;
    font-weight: 500;
    margin-bottom: 20px;
}
.layer a{
    margin-top: 20px;
    color: #ff312E;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #FFFFFA;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover img{
    transform: scale(1.1);
}
.work:hover .layer{
    height: 100%;
}
.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #ff312E;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #FFFFFA;
    transition: 0.5s;
}
.btn:hover{
    background: #ff312E;
}
/* -------------------------------contact------------------------ */
.contact-left{
     flex-basis: 35%;

}
.contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;    
}
.contact-left p i{
    color: #ff312E;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;
}
.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #a59fab;
    display: inline-block;
    transition: 0.5s;
}
.social-icons a:hover{
    color: #ff312E;
    transform: translateY(-5px);
}
.btn2{
    display: inline-block;
    background-color:#ff312E ;
}
.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #333138 ;
    padding: 15px;
    margin: 15px 0;
    color: #FFFFFA;
    font-size: 16px;
    border-radius: 6px;
}
form button{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #333138;
    font-weight: 300;
    margin-top: 20px;
}
.copyright i{
    color: #ff312E;
}
/* -------------------css for small screen----------------- */
nav .fas{
    display: none;
}
@media only screen and (max-width: 600px){
    
    #header{
        background-image: url(peakpx.jpg);
    }
    .header-text{
        margin-top: 100%;
        font-size: 16px;
    }
    .header-text h1{
        font-size: 30px;
    }
    nav .fas{
        display: block;
        font-size: 25px;
    }
    nav ul{
        background-color: #ff312E;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: 0.5s ;
    }
    nav ul li{
        display: block;
        margin: 25px;
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .about-col-2 h1{
        font-size: 40px;
    }
    #about .container{
        padding: 0;
    }
    .aboutimg1{
       height: 63vh;
       width: auto;
    }
    .aboutimg2{
        display: none;
    }
    .about-col-1, .about-col-2{
        padding: 0 30px;
    }
    /* .about-col-2 {
        padding:0 0px;
    } */
    .tab-links{
        font-size: 16px;
    }
    .about-col-1:hover{
        transition: 0.5s;
        opacity: 75%;
        background-color: #000108;
    }
    .copyright{
        width: 106.58%;
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        padding: 10px 5px;
        font-size: 14px;
    }
}
#msg{
    color:#FFFFFA ;
    margin-top:-40px ;
    display: block;

}
/* -------------------------------------------------------------light mode------------------------------------------------------------- */
.light{
    background-color: #ffd8be;
    color: #000108;
    #header{
        width: 100%;
        height: 100vh;
        /* //////////////////////////adding background image /////////////////////////*/
        background-image: url(lightimage/light\ back.jpg);
        background-position: center;
        background-size: 100vw 100vh;
    }
    #logo{
        width: 18vh;
        height: auto;
        border-radius: 20px;
    }
    .container{
        padding: 10px 10%;
    }
    nav{
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    nav ul li{
        display: inline-block;
        list-style: none;
        margin: 10px 20px;
    }
    nav ul li a{
        font-family:Georgia, 'Times New Roman', Times, serif;
        color: #000108;
        text-decoration: none;
        font-size: 18px;
        position: relative;
    }
    nav ul li a::after{
        content: '';
        width: 0;
        height: 3px;
        background: #b8b8ff;
        position: absolute;
        left: 0;
        bottom: -6px;
        transition: 0.5s;
    }
    nav ul li a:hover::after{
        width: 100%;
    }
    .header-text{
        margin-top: 14%;
        font-size: 20px;
    }
    .header-text h1{
        font-size: 60px;
        margin-top: 20px;
    }
    .header-text h1 span{
        color: #9381ff;
    }
    /* --------------------------about------------------------------- */
    #about{
        padding: 80px 0;
    }
    .row{
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .about-col-1{ 
        border-radius: 15px;
        height: 71vh;
        width: 400px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-basis: 33.7%;
    }
    .aboutimg1{
        display: none;
    }
    .aboutimg2{
        display: block;
        height: 70vh;
        width: 26vw;
        border-radius: 15px;
    }
    .about-col-1:hover{
        transition: 0.5s;  
        opacity: 75%;
        background-color: #b8b8ff;
    }
    .about-col-1:hover::after{
        transition: 0.5s;  
        opacity: 100%;
        background-color: #ffd8be;
    }
    .about-col-2{
        flex-basis: 60%;
    }
    .about-col-2 h1{
        font-size: 50px;
        font-weight: 600;
    }
    .about-col-2 h1 span{
        color:#9381ff;
    }
    .about-col-2 p{
        margin-top: 10px;
        color: #333138;
    }
    .tab-titles{
        display: flex;
        margin: 20px 0 40px;
    }
    .tab-links{
        
        color:#FFFFFA;
        margin-right: 50px;
        font-size: 18px;
        font-weight: 500;
        cursor: pointer;
        position: relative;
    }
    .tab-links::after{
        content: '';
        width: 0;
        height: 3px;
        background: #9381ff;
        position: absolute;
        left: 0;
        bottom: -8px;
        transition: 0.5s;
    }
    .tab-links.active-link::after{
        width: 50%;
    }
    .tab-contents ul li{
        list-style: none;
        margin: 10px 0;
    }
    .tab-contents ul li span{
        color: #9381ff;
        font-size: 15px;
    }
    .tab-contents{
        display: none;
    }
    .tab-contents.active-tab{
        display: block;
    }
    /* ----------------------------services----------------------------- */
    #services{
        padding: 30px 0;
    }
    .services-list{
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
        grid-gap: 40px;
        margin-top: 50px;
    }
    .services-list div{
        background-color: #FFFFFA;
        padding: 40px;
        font-size: 13px;
        font-weight: 300;
        border-radius : 10px;
        transition: backgrond 0.5s, transform 0.5s;
    }
    .services-list div i{
        font-size: 50px;
        margin-bottom: 30px;
    }
    .services-list div h2{
        font-size: 30px;
        font-weight: 500;
        margin-bottom: 15px;
    } 
    .services-list div a{
        text-decoration: none;
        color: #FFFFFA; 
        font-size: 12px;
        margin-top: 20px;
        display: inline-block;
    }
    .services-list div:hover{
        transition: 0.5s;
        background-color: #b8b8ff;
        transform: translateY(-10px);
    }
    /* -------------------------portfolio------------------ */
    #portfolio{
        padding: 50px 0;
    }.work-list{
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
        grid-gap: 40px;
        margin-top: 50px;
    }
    .work{
        border-radius: 10px;
        position: relative;
        overflow: hidden;
    }
    .work img{
        width: 100%;
        border-radius: 10px;
        display: block; 
        transition: 0.5s;
    }
    #rock{
        height: 50vh;
        width: auto;
    }
    .layer{
        width: 100%;
        height: 0;
        background: linear-gradient(rgba(255, 255, 255, 0.6),#9381ff);
        border-radius: 10px;
        position: absolute;
        left: 0;
        bottom: 0;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        padding: 0 40px;
        text-align: center;
        font-size: 14px;
        transition: 0.5s;
    }
    .layer h3{
        font-family: cursive;
        font-weight: 500;
        margin-bottom: 20px;
    }
    .layer a{
        margin-top: 20px;
        color: #9381ff;
        text-decoration: none;
        font-size: 18px;
        line-height: 60px;
        background: #FFFFFA;
        width: 60px;
        height: 60px;
        border-radius: 50%;
        text-align: center;
    }
    .work:hover img{
        transform: scale(1.1);
    }
    .work:hover .layer{
        height: 100%;
    }
    .btn{
        display: block;
        margin: 50px auto;
        width: fit-content;
        border: 1px solid #9381ff;
        padding: 14px 50px;
        border-radius: 6px;
        text-decoration: none;
        color: #000108;
        transition: 0.5s;
    }
    .btn:hover{
        color: #FFFFFA;
        background: #9381ff;
    }
    /* -------------------------------contact------------------------ */
    .contact-left{
         flex-basis: 35%;
    
    }
    .contact-right{
        flex-basis: 60%;
    }
    .contact-left p{
        margin-top: 30px;    
    }
    .contact-left p i{
        color: #9381ff;
        margin-right: 15px;
        font-size: 25px;
    }
    .social-icons{
        margin-top: 30px;
    }
    .social-icons a{
        text-decoration: none;
        font-size: 30px;
        margin-right: 15px;
        color: #FFFFFA;
        display: inline-block;
        transition: 0.5s;
    }
    .social-icons a:hover{
        color: #9381ff;
        transform: translateY(-5px);
    }
    .btn2{
        display: inline-block;
        background-color:#9381ff;
        color: #FFFFFA;
    }
    .contact-right form{
        width: 100%;
    }
    form input, form textarea{
        width: 100%;
        border: 0;
        outline: none;
        background: #ffeedd ;
        padding: 15px;
        margin: 15px 0;
        color: #FFFFFA;
        font-size: 16px;
        border-radius: 6px;
    }
    form button{
        padding: 14px 60px;
        font-size: 18px;
        margin-top: 20px;
        cursor: pointer;
    }
    .copyright{
        width: 100%;
        text-align: center;
        padding: 25px 0;
        background: #ffeedd;
        font-weight: 300;
        margin-top: 20px;
    }
    .copyright i{
        color: #9381ff;
    }
    /* -------------------css for small screen----------------- */
    nav .fas{
        display: none;
    }
    @media only screen and (max-width: 600px){
        
        #header{
            background-image: url(lightimage/lightmob.jpg);
        }
        .header-text{
            margin-top: 100%;
            font-size: 16px;
        }
        .header-text h1{
            font-size: 30px;
        }
        nav .fas{
            display: block;
            font-size: 25px;
        }
        nav ul{
            background-color: #9381ff;
            position: fixed;
            top: 0;
            right: -200px;
            width: 200px;
            height: 100vh;
            padding-top: 50px;
            z-index: 2;
            transition: 0.5s ;
        }
        nav ul li{
            display: block;
            margin: 25px;
        }
        nav ul .fas{
            position: absolute;
            top: 25px;
            left: 25px;
            cursor: pointer;
        }
        .about-col-2 h1{
            font-size: 40px;
        }
        #about .container{
            padding: 0;
        }
        .aboutimg1{
            display: none;
        }
        .aboutimg2{
           height: 63vh;
           width: auto;
        }
        .about-col-1, .about-col-2{
            padding: 0 30px;
        }
        /* .about-col-2 {
            padding:0 0px;
        } */
        .tab-links{
            font-size: 16px;
        }
        .about-col-1:hover{
            transition: 0.5s;
            opacity: 75%;
            background-color: #ffd8be;
        }
        .copyright{
            width: 106.58%;
            border-top-left-radius: 20px;
            border-top-right-radius: 20px;
            padding: 10px 5px;
            font-size: 14px;
        }
    }
    #msg{
        color:#FFFFFA ;
        margin-top:-40px ;
        display: block;
    
    }
}